/* Fix for cut labels */

#accountoverview > md-tabs > md-tabs-wrapper {
    min-height: 65px;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    flex-wrap: wrap;
    margin: 0 5px;
}
md-tabs md-tabs-wrapper md-tabs-canvas md-pagination-wrapper md-tab-item:not([disabled]) {
    min-width: fit-content;
    align-self: center;
}
md-tabs-wrapper md-next-button md-icon, md-tabs-wrapper md-prev-button md-icon {
    width: 40px;
    height: 40px;
    background-color: #d8d8d8;
    border-radius: 39px;
}
md-tabs-wrapper md-next-button md-icon:hover, md-tabs-wrapper md-prev-button md-icon:hover {
    background-color: #c6c6c6;
}
md-pagination-wrapper {
    height: 65px;
}
md-tabs-canvas {
    height: 68px;
    display: flex;
}
md-tabs-canvas.md-paginated {
    margin: 0 46px;
}
/* Fix for long search strings */
div[ng-if="::item.tab && item.queryType != 'recentSearches'"] {
    display: flex;
    justify-content: flex-start;
    flex-wrap: nowrap;
}

span[md-highlight-text="$ctrl.mainSearchField"] {
    overflow: hidden;
    align-self: flex-start;
    margin-right: 10px;
    text-overflow: ellipsis;
}

/*IZ selection*/
prm-account-overview .institutions-list md-list-item.is-selected span.institution-name {
    color: #fff !important;
    background-color: #191919 !important;
}

/*Mobile Toolbar positioning*/

@media (min-width: 0) and (max-width: 959px) and (orientation: portrait) {
    .md-toolbar-tools.layout-row {
        justify-content: center;
        flex-wrap: wrap;
        height: auto !important;
        max-height: unset !important;
    }

    md-toolbar.default-toolbar button#backtosearch {
        left: 10px;
        display: block;
        position: absolute;
    }

    prm-linked-user-selector md-input-container:after {
        background-color: unset !important;
    }

/*Mobile IZ selectbox*/

    prm-linked-user-selector md-input-container.toolbar-select-input.hide-gt-sm.md-primoExplore-theme.layout-align-center-stretch.layout-row.md-input-has-value md-select {
        border: #5e5e5e 1px solid !important;
        border-radius: 5px;
        padding: 10px;
        background-color: #e8e8e8;
        transition: background-color 0.5s ease;
    }

    prm-linked-user-selector md-input-container.toolbar-select-input.hide-gt-sm.md-primoExplore-theme.layout-align-center-stretch.layout-row.md-input-has-value md-select:hover {
        background-color: #c6c6c6;
    }

    prm-account prm-linked-user-selector {
        font-size: 16px !important;
    }

}

/*Mobile IZ selectbox:small screens*/

@media (min-width: 0) and (max-width: 599px) and (orientation: portrait) {
    div.md-select-menu-container.md-primoExplore-theme.md-active.md-clickable {
        left: 10% !important;
        top: 50px !important;
        min-width: 80% !important;
    }
}

@media (min-width: 0) and (max-width: 399px) and (orientation: portrait) {
    md-toolbar.default-toolbar button#backtosearch {
        top: 0 !important;
        max-height: 20px;
    }
    .md-select-menu-container md-select-menu md-option .md-text {
        white-space: normal !important;
    }
}
/*Alert bar for closed fines*/

prm-fines.flex {
    display: flex;
    flex-direction: column;
}

prm-fines.flex .tab-content-header.layout-xs-column.layout-align-xs-start-stretch.layout-align-space-between-end.layout-row {
    order: 0;
}

prm-fines.flex md-list.separate-list-items.gapped-list.md-primoExplore-theme.layout-column {
    order: 2;
}

prm-fines-after {
    order: 1;
}

div[ng-if="$ctrl.isFinesFeatureFlagEnabled && $ctrl.finesTypeDropDownSelection === 'active' && $ctrl.numOfTransferredFines && !$ctrl.isLoadingFines"] {
    order: 3;
}

.bar.alert-bar[ng-if="$ctrl.showClosedFines"] {
    height: auto !important;
    padding: 0.75em 2em;
}
/*Mobiles: Search profiles*/

@media screen and (max-width: 599px) {
    prm-search-bar .simple-search-wrapper .search-options prm-tabs-and-scopes-selector {
        width: auto;
        margin: 16px;
        border: 1px solid #bcbcbc;
        border-radius: 3px;
        padding: 0px;
    }

    prm-search-bar .simple-search-wrapper .search-options prm-tabs-and-scopes-selector {
        background-color: #f9f9f9;
        transition: background-color 0.5s ease;
    }

    prm-search-bar .simple-search-wrapper .search-options prm-tabs-and-scopes-selector:hover {
        background-color: #d1d1d1;

    }

    prm-search-bar .simple-search-wrapper .search-options prm-tabs-and-scopes-selector md-input-container .md-select-icon {
        transform: scale(1.5) !important;
        transform-origin: 100% 33% !important;
    }

    prm-search-bar .simple-search-wrapper .search-options prm-tabs-and-scopes-selector md-input-container:after {
        background-color: unset !important;
        bottom: 0px !important;
    }
}
/*Hide OTB logo in alma viewer*/
#almaViewerHeader>prm-topbar>div>div.flex-xs-50>div>header>span {
    display: none !important;
}

/*Cancel request popup box*/
prm-requests md-dialog.in-element-dialog {
    width: 94%;
    height: 91%;
    padding-right: 10px !important;
    background-color: #fff;
}
prm-requests md-dialog.in-element-dialog button.md-button.md-primoExplore-theme.md-ink-ripple {
    border: 1px solid #8e8e8e;
}
form.ng-pristine.ng-valid.layout-fill.layout-align-end-center.layout-row {
    flex-wrap: wrap;
    justify-content: space-evenly;
}
/*940 Favorites*/
form[ng-submit="$ctrl.addNewLabel()"] {
    background-color: unset;
}

form[ng-submit="$ctrl.addNewLabel()"] input[ng-model="$ctrl.newLabel"] {
    border-bottom: 1px solid #bbbbbb;
}

form[ng-submit="$ctrl.addNewLabel()"] label[translate="nui.favorites.labels.new"] {
    color: #aaa !important;
}

button.slsp-save-label-button {
    background: none;
    border: unset;
}

button.slsp-save-label-button svg {
    fill: #9c9c9c;
}

button.slsp-save-label-button:hover svg {
    fill: #111111;
}

md-menu-content#menuContent md-menu-item .md-button:focus {
    background-color: #ffffff !important;
    color: #111 !important;
}

md-menu-content#menuContent md-menu-item .md-button:hover {
    background-color: #111111 !important;
    color: #fff !important;
}

/*Checkboxes and icons to include and exclude*/
.section-content .md-chips .md-chip .md-chip-remove-container .md-button {
    opacity: 1;
}
.available-facets .section-content .md-chips .md-chip .button-exclude {
    /*color: #ECECEC;*/
    color: #c3c3c3;
}
.available-facets .section-content .md-chips .md-chip .md-button:before {
    /*background-color: #FFFFFF;*/
    background-color: #e9e9e9;
}
.multiselect-facet-group.multiselect-inactive .md-chip md-checkbox {
    transform: scaleX(1);
}
md-checkbox .md-icon {
    border-color: #c3c3c3 !important;
}